curl --request DELETE \
--url https://api.partoo.co/v2/custom_fields/{custom_field_id} \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/custom_fields/{custom_field_id}"
headers = {"x-APIKey": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/custom_fields/{custom_field_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"errors": {
"json": {
"businesses_count": 2,
"description": "At least one business has this custom field, please send forced_update=true to force update."
}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Delete custom field
This endpoint enables you to delete a specific custom field of your organization by specifying its ID. Use the force parameter to delete fields that have values assigned to businesses. PROVIDER users can pass org_id to delete a custom field for a managed organization.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Id of the custom field
42
Query Parameters
Organization ID. Only PROVIDER users can specify a different organization. If not provided, defaults to your own organization.
If true, destructive modification will be performed and businesses values will be deleted accordingly
Response
OK
Request status
success Was this page helpful?